%define languageenglazy Faroese
%define languagecode    fo
%define lc_ctype        fo_FO

Name:           hunspell-%{languagecode}
Version:        0.4.2
Release:        %mkrel 9
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2+
Group:          System/Internationalization
URL:            https://fo.speling.org/
Source0:        https://fo.speling.org/filer/myspell-fo-%{version}.tar.bz2

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-fo
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n myspell-fo-%{version}

%build
for i in Copyright contributors README; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README Copyright contributors COPYING
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.4.2-9.mga10
+ Revision: 2197198
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 0.4.2-8.mga9
+ Revision: 1801449
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 0.4.2-7.mga8
+ Revision: 1491330
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.4.2-6.mga7
+ Revision: 1263284
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.4.2-5.mga6
+ Revision: 938885
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.4.2-4.mga5
+ Revision: 744836
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4.2-3.mga5
+ Revision: 680236
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 0.4.2-2.mga4
+ Revision: 530648
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 sander85 <sander85> 0.4.2-1.mga4
+ Revision: 458695
- New version: 0.4.2

* Sat Jan 12 2013 umeabot <umeabot> 0.4.0-6.mga3
+ Revision: 353461
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.4.0-5.mga3
+ Revision: 325258
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.4.0-4.mga2
+ Revision: 224623
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 0.4.0-3.mga2
+ Revision: 207745
- use better obsoleting of myspell

* Wed Jan 18 2012 kamil <kamil> 0.4.0-2.mga2
+ Revision: 197701
- adapt .spec to the current policies

* Thu Jul 07 2011 ahmad <ahmad> 0.4.0-1.mga2
+ Revision: 119770
- Update to 0.4.0

* Sat Mar 12 2011 dmorgan <dmorgan> 0.2.43-2.mga1
+ Revision: 68769
- imported package hunspell-fo


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.43-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 14 2010 Caolán McNamara <caolanm@redhat.com> - 0.2.43-1
- latest version

* Mon Oct 04 2010 Caolán McNamara <caolanm@redhat.com> - 0.2.42-1
- latest version

* Wed Jul 28 2010 Caolán McNamara <caolanm@redhat.com> - 0.2.41-1
- latest version

* Fri May 28 2010 Caolán McNamara <caolanm@redhat.com> - 0.2.40-1
- latest version

* Mon Jan 04 2010 Caolán McNamara <caolanm@redhat.com> - 0.2.39-1
- latest version

* Thu Nov 05 2009 Caolán McNamara <caolanm@redhat.com> - 0.2.38-1
- latest version

* Fri Sep 04 2009 Caolán McNamara <caolanm@redhat.com> - 0.2.37-1
- latest version

* Mon Aug 10 2009 Caolán McNamara <caolanm@redhat.com> - 0.2.36-4
- .gz -> .bz2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.36-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolán McNamara <caolanm@redhat.com> - 0.2.36-2
- tidy spec

* Tue May 19 2009 Caolán McNamara <caolanm@redhat.com> - 0.2.36-1
- latest version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.35-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 23 2008 Caolán McNamara <caolanm@redhat.com> - 0.2.35-1
- latest version

* Mon Sep 08 2008 Caolán McNamara <caolanm@redhat.com> - 0.2.34-1
- latest version

* Mon Jul 07 2008 Caolán McNamara <caolanm@redhat.com> - 0.2.33-1
- latest version

* Thu Mar 27 2008 Caolán McNamara <caolanm@redhat.com> - 0.2.32-1
- initial version
